add_quote_wizard_flow
Adds a new Quote flow by passing a policy type ID. Parameters ---------- policy_type_id : uuid, required is_endorsement: bool, default to false Returns ------- success : bool data : dict Representation of the newly added wizard flow
add_quote_wizard_flow › Responses
successmessagedatacreate_flow_from_quote_flow
get_application_date_bounds
Return the application effective-date bounds scoped to a policy type.
Code
get_application_date_bounds › Request Body
policy_type_idThe selected policy type id; preferred scope source for resolving any scoped override of the britequote application-{past,future}-date-bound settings. Omit/null to resolve the carrier-wide global bounds.
revision_idFallback scope source used when no policy_type_id is available (e.g. an existing quote's committed revision). Omit/null to resolve the global bounds.
get_application_date_bounds › Responses
messagesAny messages or errors related to the request
The resolved application effective-date bounds, scoped to the policy type/revision when given, else the carrier-wide globals
successWhether the request was successful
patch_flow_definition
Patches a flow's definition. Fields that are not specified as left intact.
Parameters
__________
id : uuid, required
endorsement : boolean, required
definition: dict, required
A dict with the parts of the flow definition to be updated. For a example, a definition like:
{ { "features": [...] } }
will patch only the features field. The other definition fields will stay the same.
Returns
-------
success : bool
messages : list
List of human-readable error messages
patch_flow_definition › Responses
successmessagedata